#pragma once

#include <list>
#include <iostream>


#include "stdafx.h"
#include "CThing.h"


using namespace std;

typedef list<CThing*> ListCThing;
typedef ListCThing::iterator CThingItor;             

const int C_MESSAGE_LEFT_CLICK = 0;


class CThingList
{
public:
    
    CThingList();
    virtual ~CThingList();

    
    int AddThing(CThing *p_new);
    void Draw(); //call Draw() for every 'thing' on the list
    void Think(); //call Think() for every 'thing' on the list
    void ProcessSortRequests(); //move things to where they should be in the list if required
    void ProcessDeleteRequests();
    void SendMessage(int i_message, void *p_struct); //struct isn't used yet


private:
    int m_i_counter; //give objects a unique ID for whatever reason
    ListCThing m_object_list; //all our objects are on this

};
