#include "CThingMud.h"
#include "CGlobals.h"
#include "CThingMouse.h"
#include "CThingLogic.h"
#include "CSoundPlayer.h"

CThingMud::CThingMud()
{
      //init the sheep
    SetAnim("mud.bmp", 150,50,3);
    SetPosition(random(500)+150,random(100)+430);
    m_i_frame = 1;
}


void CThingMud::ProcessMessage(int i_message, void *p_struct)
{
      CMessage *p_mess = (CMessage*)p_struct;


    if (i_message == C_MESSAGE_LEFT_CLICK)
    {
        //did we get clicked?
        if (glo.p_mouse)
        {
           if (m_sprite.SpriteHitPixel(glo.p_mouse->GetCDXSprite()))
           {
             //   CDXLOG("Got hit!");
              glo.p_logic->ModMud(1000); //max it out
              p_mess->m_b_hit = true;
              g_sound_player.Play(C_SOUND_PICKUP);
              m_i_frame += 1;
              if (m_i_frame == 4)
              {
                  //out of mud, kill us and spawn another
                  SetDeleteRequest(true);
                     m_f_dir = 0;
                     m_f_vel = 1200;
                    // SetKillTimer(1000);


                     //create a new one
                     CThingMud *p_mud = new CThingMud();
                     glo.m_p_thing_list->AddThing(p_mud);

              }   else
              {
                  SetFrame(m_i_frame); //get smaller
              }
           }
        }

    }

}

void CThingMud::Think()
{
    CThingAnim::Think();
}